=== debian/changelog ===
fife (0.3.3+r2+dfsg1-4) unstable; urgency=low

  * Import patch from upstream to add support for smaller widescreen
    displays and fixes crashes on such systems (Closes: #655861)
  * Set Maintainer to Debian Games Team, me to uploader
  * Add VCS git URLs

 -- Christoph Egger <christoph@debian.org>  Sat, 14 Jan 2012 13:50:13 +0100

fife (0.3.3+r2+dfsg1-3) unstable; urgency=low

  * Add hurd as well

 -- Christoph Egger <christoph@debian.org>  Mon, 26 Dec 2011 09:36:05 +0100

fife (0.3.3+r2+dfsg1-2) unstable; urgency=low

  * Add kFreeBSD support (pretend being linux2)

 -- Christoph Egger <christoph@debian.org>  Fri, 23 Dec 2011 20:15:29 +0000

fife (0.3.3+r2+dfsg1-1) unstable; urgency=low

  * New upstream release
  * First release in proper Debian (Closes: #632360)

 -- Christoph Egger <christoph@debian.org>  Tue, 15 Nov 2011 16:00:36 +0100

fife (0.3.2+svn3687-1) weekly; urgency=low

  * New SVN Snapshot

 -- Christoph Egger <christoph@debian.org>  Thu, 23 Jun 2011 15:11:25 +0200

fife (0.3.2+svn3593-2) unstable; urgency=low

  * fix building with python2.7 around

 -- Christoph Egger <christoph@unknown-horizons.org>  Sat, 16 Apr 2011 19:53:11 +0200

fife (0.3.2+svn3593-1) unstable; urgency=low

  * new snapshot

 -- Christoph Egger <christoph@unknown-horizons.org>  Mon, 04 Apr 2011 17:13:48 +0200

fife (0.3.2+svn3587) unstable; urgency=low

  * new snapshot

 -- Christoph Egger <christoph@unknown-horizons.org>  Sun, 13 Feb 2011 16:19:17 +0100

fife (0.3.1+svn3431-1) unstable; urgency=low

  * Initial release.

 -- Christoph Egger <christoph@unknown-horizons.org>  Thu, 16 Sep 2010 18:23:07 +0200
