=== debian/control ===
Source: fife
Uploaders: Christoph Egger <christoph@debian.org>
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Section: libdevel
Priority: optional
Build-Depends: debhelper (>= 7.0.50~),
 scons,
 libsdl1.2-dev,
 libboost-dev,
 libsdl-ttf2.0-dev,
 libsdl-image1.2-dev,
 libvorbis-dev,
 libalut-dev,
 python-all-dev (>= 2.6.6-3~),
 libboost-regex-dev,
 libboost-filesystem-dev,
 libboost-test-dev,
 swig,
 chrpath,
 zlib1g-dev,
 libxcursor-dev,
 libopenal-dev,
 libasound2-dev,
 libguichan-dev,
 libtinyxml-dev
X-Python-Version: >= 2.6
Vcs-Git: git://git.debian.org/git/pkg-games/fife.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/fife.git
Standards-Version: 3.9.2
Homepage: http://fifengine.de

Package: python-fife
Section: python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Breaks: ${python:Breaks}
Description: FIFE is a multi-platform isometric game engine
 FIFE stands for Flexible Isometric Free Engine and is a cross
 platform game creation framework written in C++. It provides you with
 the ability to create a game using Python interfaces. FIFE also comes
 as a DLL or static library so you can use C++ as well.
