## fife 0.3.3+r3

=== SConstruct ===
--- 
+++ 
@@ -86,6 +86,12 @@
 		help='Build with profiling information.  This automatically enables debug.',
 		default=False)
 		
+AddOption('--enable-release-assert',
+		dest='enable-release-assert',
+		action="store_true",
+		help='Build with assert enabled in release mode.  This should only be used when you have a tricky bug to track down.',
+		default=False)
+	
 AddOption('--prefix',
 		dest='prefix',
 		nargs=1, type='string',
@@ -113,6 +119,8 @@
 		metavar='DIR',
 		help='Shared Library install location') 
 		
+
+		
 #**************************************************************************
 #save command line options here
 #**************************************************************************
@@ -153,6 +161,11 @@
 	profile = 1
 else:
 	profile = 0
+	
+if GetOption('enable-release-assert'):
+	assert_release = 1
+else:
+	assert_release = 0
 	
 if GetOption('local-tinyxml'):
 	local_tinyxml = 1
@@ -311,7 +324,6 @@
 		env.AppendUnique(CXXFLAGS=['-O0', '-Wall', '-Wno-unused'])
 		
 	env.AppendUnique(CXXFLAGS=['-g', '-D_DEBUG'])
-	env.AppendUnique(LINKFLAGS=['-Wl'])
 	engine_var_dir = os.path.join('build','engine','debug')
 	tests_var_dir = os.path.join('build','tests','debug')
 	print "Building DEBUG binaries..."
@@ -321,7 +333,9 @@
 	else:	
 		env.AppendUnique(CXXFLAGS=['-O2', '-Wall', '-Wno-unused'])
 	
-	env.AppendUnique(LINKFLAGS=['-Wl'])
+	if not assert_release:
+		env.AppendUnique(CPPDEFINES = ['NDEBUG'])
+	
 	engine_var_dir = os.path.join('build','engine','release')
 	tests_var_dir = os.path.join('build','tests','release')
 	print "Building RELEASE binaries..."
@@ -360,6 +374,7 @@
 		'PYLIB_COPY_DEST' : os.path.join('#engine', 'python', 'fife')}
 
 opts['FIFE_VERSION'] = utils.get_fife_version(os.path.join(opts['SRC'], 'core'));
+opts['FIFE_REVISION'] = utils.get_fife_revision()
 
 if debug:
 	opts['LIBPATH'] = os.path.join(os.getcwd(), 'build', 'engine', 'debug')
@@ -382,12 +397,3 @@
 
 #**************************************************************************
 #documentation target
-#**************************************************************************
-def generate_docs(target = None, source = None, env = None):
-	os.system('doxygen $SOURCES')
-
-doc_builder = Builder(action = generate_docs)
-env.Append(BUILDERS = {'BuildDocs': doc_builder})
-Alias('docs', env.BuildDocs('docs', os.path.join('doc', 'doxygen', 'doxyfile')))
-
-#**************************************************************************
