=== debian/changelog ===
fife (0.3.3+r3-3) unstable; urgency=low

  * Include NMU by Anton Gladky, thanks!

 -- Christoph Egger <christoph@debian.org>  Sun, 30 Dec 2012 12:53:30 -0800

fife (0.3.3+r3-2) unstable; urgency=low

  * Import upstream (SVN 3949) patch to fix memory leaking (Closes:
    #696676)

 -- Christoph Egger <christoph@debian.org>  Sat, 29 Dec 2012 16:36:26 -0800

fife (0.3.3+r3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add engine/core/util/utf8/utf8* to copyright file (Closes: #690370)
  * Use packaged version of Glee-library to fix lintian embedded-library
    autoreject tag.

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 24 Oct 2012 21:15:06 +0200

fife (0.3.3+r3-1) unstable; urgency=low

  * New upstream release
  * Build-depend on libpng-dev
  * Enable testsuite instead of striping it from the tarball as it is
    free now

 -- Christoph Egger <christoph@debian.org>  Sun, 22 Apr 2012 20:31:31 +0200
