=== debian/control ===
--- 
+++ 
@@ -22,7 +22,10 @@
  libopenal-dev,
  libasound2-dev,
  libguichan-dev,
- libtinyxml-dev
+ libtinyxml-dev,
+ libpng-dev,
+ libunittest++-dev,
+ glee-dev
 X-Python-Version: >= 2.6
 Vcs-Git: git://git.debian.org/git/pkg-games/fife.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/fife.git
