## fife 0.3.4

=== debian/changelog ===
fife (0.3.4-3) unstable; urgency=low

  * Upload to unstable

 -- Christoph Egger <christoph@debian.org>  Sun, 23 Jun 2013 11:59:17 +0200

fife (0.3.4-2) experimental; urgency=low

  * Break older unknown-horizons as it only works with matching fife
    versions (Closes: #703214)

 -- Christoph Egger <christoph@debian.org>  Sun, 17 Mar 2013 17:53:43 +0100

fife (0.3.4-1) experimental; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Sat, 02 Mar 2013 16:06:30 -0800
