=== debian/control ===
--- 
+++ 
@@ -29,14 +29,14 @@
 X-Python-Version: >= 2.6
 Vcs-Git: git://git.debian.org/git/pkg-games/fife.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/fife.git
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://fifengine.de
 
 Package: python-fife
 Section: python
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
-Breaks: ${python:Breaks}
+Breaks: ${python:Breaks}, unknown-horizons (<< 2013.1)
 Description: FIFE is a multi-platform isometric game engine
  FIFE stands for Flexible Isometric Free Engine and is a cross
  platform game creation framework written in C++. It provides you with
