## fife 0.3.5

=== SConstruct ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # -*- coding: utf-8 -*-
 
 # ####################################################################
-#  Copyright (C) 2005-2009 by the FIFE team
-#  http://www.fifengine.de
+#  Copyright (C) 2005-2012 by the FIFE team
+#  http://www.fifengine.net
 #  This file is part of FIFE.
 #
 #  FIFE is free software; you can redistribute it and/or
@@ -42,7 +42,7 @@
 			ENV = os.environ,
 			DESTDIR = '${DESTDIR}')
 
-env.EnsureSConsVersion(1,2)
+env.EnsureSConsVersion(2,0)
 
 AddOption('--enable-debug',
 		dest='enable-debug',
@@ -305,6 +305,9 @@
 #set variables based on command line and environment options
 #**************************************************************************
 
+if os.environ.has_key('CXX'):
+	env['CXX'] = os.environ['CXX']
+
 if os.environ.has_key('SWIG'):
 	env['SWIG'] = os.environ['SWIG']
 
@@ -374,7 +377,7 @@
 		'PYLIB_COPY_DEST' : os.path.join('#engine', 'python', 'fife')}
 
 opts['FIFE_VERSION'] = utils.get_fife_version(os.path.join(opts['SRC'], 'core'));
-opts['FIFE_REVISION'] = utils.get_fife_revision()
+opts['FIFE_REVISION'] = utils.get_fife_revision(os.getcwd())
 
 if debug:
 	opts['LIBPATH'] = os.path.join(os.getcwd(), 'build', 'engine', 'debug')
@@ -396,4 +399,3 @@
 env.SConscript('ext/SConscript')
 
 #**************************************************************************
-#documentation target
