=== build/linux/KDevelop/Makefile ===
FIFE:
	cd ../../.. && scons -Q tests=yes
clean:
	cd ../../.. && scons --clean
