=== debian/changelog ===
fife (0.3.5-3) unstable; urgency=medium

  * Team upload.
  * Use compat level 9.
  * Vcs fields: Use https.
  * Declare compliance with Debian Policy 3.9.8.
  * wrap-and-sort -sa.
  * Add gcc6.diff and fix FTBFS with GCC-6.
    Thanks to Martin Michlmayr for the report and Graham Inggs for the patch.
    (Closes: #811858)
  * Add dh-python to Build-Depends.

 -- Markus Koschany <apo@debian.org>  Fri, 02 Sep 2016 22:45:56 +0200

fife (0.3.5-2) unstable; urgency=medium

  * Team upload.
  * Link gnukfreebsd10-config.py to gnukfreebsd9-config.py, this
    to fix builderror on kfreebsd. (Closes: #821765)
  * Add ext/guichan-0.8.2/config.(guess|sub) to d/clean

 -- Tobias Frost <tobi@debian.org>  Sat, 23 Apr 2016 21:46:57 +0200

fife (0.3.5-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Sun, 01 Sep 2013 16:48:59 +0200
