=== debian/changelog ===
fife (0.4.0-3) unstable; urgency=medium

  * Team upload.
  * debian/rules: Try to prevent build failures on mips and mipsel by using
    a single thread only and building with CMAKE_BUILD_TYPE=MinSizeRel.

 -- Markus Koschany <apo@debian.org>  Sun, 22 Jan 2017 01:16:48 +0100

fife (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_install --fail-missing to detect when files are not installed
    into the resulting binary package.
  * debian/rules: Pass --buildsystem=cmake to dh. (Closes: #851998)
  * Add clean file and ensure that fife can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Fri, 20 Jan 2017 20:11:52 +0100

fife (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.0.
  * Tighten build-dependency on libfifechan-dev.
  * Drop all patches.
  * Switch from Scons to CMake.
  * Fix Lintian warning "extra license file".

 -- Markus Koschany <apo@debian.org>  Thu, 19 Jan 2017 23:58:16 +0100

fife (0.3.5+git160920-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.3.5+git160920.
  * Use compat level 10.
  * Add libfifechan-dev to Build-Depends.
  * Drop all patches. Fixed upstream.
  * Add debian/watch file. Thanks to Bart Martens.
  * Simplify debian/rules.
  * Switch from SDL1 to SDL2.
  * Delete static libraries to ensure that fife can be built twice in a row.
  * Remove debian/clean file.
  * Drop libguichan-dev from Build-Depends. It is obsolete now.
  * Add endif.patch and fix a FTBFS.

 -- Markus Koschany <apo@debian.org>  Mon, 07 Nov 2016 20:27:27 +0100
