=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Section: libdevel
 Priority: optional
 Build-Depends:
- chrpath,
- debhelper (>= 9),
+ cmake,
+ debhelper (>= 10),
  dh-python,
  glee-dev,
  libalut-dev,
@@ -15,24 +15,23 @@
  libboost-filesystem-dev,
  libboost-regex-dev,
  libboost-test-dev,
- libguichan-dev,
+ libfifechan-dev (>= 0.1.3),
  libopenal-dev,
  libpng-dev,
- libsdl-image1.2-dev,
- libsdl-ttf2.0-dev,
- libsdl1.2-dev,
+ libsdl2-image-dev,
+ libsdl2-ttf-dev,
+ libsdl2-dev,
  libtinyxml-dev,
  libunittest++-dev,
  libvorbis-dev,
  libxcursor-dev,
  python-all-dev (>= 2.6.6-3~),
- scons,
  swig,
  zlib1g-dev
 X-Python-Version: >= 2.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/fife.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/fife.git
-Standards-Version: 3.9.8
 Homepage: http://fifengine.de
 
 Package: python-fife
